Create a Kiosk

Purpose

To create a new Kiosk in the draft state in Zoho CRM. 

After creating the Kiosk, use the Create a Kiosk State API to configure screens and then use the Activate Kiosk API to publish it.

Note
Availability: Standard, Professional, Enterprise, and Ultimate editions. 

Permission Required: Administrator profile, or profiles with either the Module Customization or Manage Automation  permission enabled.

Endpoints

  • POST /settings/kiosks

Request Details

Request URL

{api-domain}/crm/{version}/settings/kiosks

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.kiosks.CREATE
or
ZohoCRM.settings.ALL
 

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/kiosks"
-X POST
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"
-d "@kiosks.json"

Input JSON

The kiosks JSON array is the root key. It must contain only one object representing the Kiosk to be created. Provide the following keys within the object.

  • namestring, mandatory

    Specify a unique name for the Kiosk. A maximum of 50 characters is allowed.

  • descriptionstring, optional

    Specify a brief description for the Kiosk.

  • group_api_namestring, optional

    Specify a unique API name for the Kiosk. Use the same group_api_name across the draft and published versions of the Kiosk to maintain a consistent API name. A maximum of 25 characters is allowed. Only letters, numbers, and underscores (_) are supported. If omitted, Zoho CRM automatically generates the API name based on the Kiosk name.

  • statusstring, mandatory

    Specify the status of the Kiosk.
    Possible values: draft

  • current_record_moduleJSON object, optional

    Specify the module to associate with the Kiosk's Current Record context. All operations that use the Current Record (such as field references, criteria evaluation, Get Records, and actions) are performed based on the selected module. Please note that the Teams modules are not supported. Use the Get Modules Metadata API to get the module API name and ID. Either ID or API name is mandatory.

Note

Sample Input

Copied{
    "kiosks": [
        {
            "name": "Kiosk",
            "description": "To create a simple Kiosk in the Zoho CRM.",
            "group_api_name": "Simple_Kiosk",
            "status": "draft",
            "current_record_module": {
                "id": "5725767000000002175",
                "api_name": "Leads"
            }
        }
    ]
}

Possible Errors

  • INVALID_DATAHTTP 400
    • Invalid data given in the status key 
      Resolution: Specify a valid value. Possible values: draft
    • Invalid characters
      Resolution: Invalid characters are present in the group_api_name key. Remove unsupported special characters and try again. Refer to the Input JSON section for details.
    • Invalid ID or module details specified in current_record_module
      Resolution: Provide a valid module ID and API name. Use the Get Module Metadata API to retrieve valid module details.
    • Maximum length has been reached for the name key
      Resolution: A maximum of 50 characters is allowed for the name field. Specify a value within the allowed limit.
  • INVALID_API_NAME HTTP 400

    Invalid group API name 
    Resolution: Specify a valid group_api_name in the request, or remove the key to allow the system to auto-generate it. Special characters are not allowed except underscores (_) between words.

  • AMBIGUITY_DURING_PROCESSINGHTTP 400

    The given module ID and API name do not match
    Resolution: Specify the correct module API name and its corresponding unique ID. Use the Get Module Metadata API to retrieve valid module details.

  • MANDATORY_NOT_FOUNDHTTP 400

    One or more mandatory keys are missing
    Resolution: Specify all mandatory fields. Refer to the Input JSON section for the list of mandatory fields.

  • DUPLICATE_DATAHTTP 400
    • Duplicate data has been provided in the name field.
      Resolution:  Specify a unique Kiosk name.
    • Duplicate data has been provided in the group_api_name field.
      Resolution:  Specify a unique Kiosk API name.
  • INVALID_REQUEST_METHODHTTP 400

    The http request method type is not a valid one
    Resolution: You have specified an invalid HTTP method to access the API URL. Specify a valid request method. Refer to the Endpoints section for more details.

  • OAUTH_SCOPE_MISMATCHHTTP 401

    Unauthorized
    Resolution: The client does not have a valid scope to create the Kiosk. Create a new token with valid scope. Refer to the Scope section for more details.

  • AUTHENTICATION_FAILUREHTTP 401

    Authentication failed
    Resolution: Pass the access token in the request header of the API call.

  • INVALID_URL_PATTERNHTTP 404

    Please check if the URL trying to access is a correct one
    Resolution: The request URL specified is incorrect. Specify a valid request URL. Refer to the Request URL section for more details.

  • INTERNAL_ERRORHTTP 500

    Internal Server Error
    Resolution: Unexpected and unhandled exception in the server. Contact support team.

Sample Response

Copied{
    "kiosks": [
        {
            "code": "SUCCESS",
            "details": {
                "id": "5725767000010004500"
            },
            "message": "Kiosk created successfully",
            "status": "success"
        }
    ]
}